Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 983194 - Changing scrollbox font colour in the XFCE Weather Plugin is not persistent after a session
Summary: Changing scrollbox font colour in the XFCE Weather Plugin is not persistent a...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xfce4-weather-plugin
Version: 19
Hardware: x86_64
OS: Unspecified
unspecified
low
Target Milestone: ---
Assignee: Christoph Wickert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-07-10 16:56 UTC by lu.error
Modified: 2014-11-01 16:40 UTC (History)
4 users (show)

Fixed In Version: xfce4-weather-plugin-0.8.3-8.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-11-01 16:40:47 UTC


Attachments (Terms of Use)
patch that applies color change in plugin after reboot (deleted)
2014-04-16 13:47 UTC, Andrey
no flags Details | Diff

Description lu.error 2013-07-10 16:56:09 UTC
Description of problem:
Changing the scrollbox font colour in the XFCE Weather Plugin is not persistent after a XFCE session. When one starts a XFCE session again, the font colour will be the colour determined by the users XFCE theme.

Version-Release number of selected component (if applicable):
0.8.3-1.fc19.x86_64

How reproducible:
Always.

Steps to Reproduce:
1. Add a xfce4-weather-plugin to a panel.
2. Change the scrollbox font colour to any colour via Properties > Scrollbox > Font and color.
3. Log out and log in.

Actual results:
The font colour remains the same as before the user changed the colour.

Expected results:
The font colour would be as the user has specified, in other words, overrides the themes default colour.

Additional info:
The theme that is used by the system is Albatross. By manual inspection of the weather plugin rc file in /home/user/.config/xfce4/panel/, the following settings are found:

...
show_scrollbox=true
scrollbox_lines=1
scrollbox_font=DejaVu Sans Bold 10
scrollbox_color=#000000000000
scrollbox_use_color=true
...

Changing scrollbox_color=#000000000000 manually to e.g. scrollbox_color=#ffffff and saving to the file via the sessions user or root, does not help. The same value of #000000000000 persist.

Comment 1 Andrey 2014-04-13 17:02:54 UTC
The same thing happens on Fedora 20 with xfce4-weather-plugin-0.8.3-2

Comment 2 Andrey 2014-04-16 13:45:39 UTC
I found a solution. In Arch and Ubuntu this package was patched long time ago, but in Fedora still there are no patch for this bug, it is very sadly.

Comment 3 Andrey 2014-04-16 13:47:34 UTC
Created attachment 886902 [details]
patch that applies color change in plugin after reboot

this patch I will send to the developers of xfce

Comment 4 poma 2014-10-15 04:14:26 UTC
Fix color parsing when reading config file.
This turned out to be a stupid copy & paste mistake.
http://git.xfce.org/panel-plugins/xfce4-weather-plugin/commit/panel-plugin/weather.c?id=462e85d
http://git.xfce.org/panel-plugins/xfce4-weather-plugin/patch/panel-plugin/weather.c?id=462e85d

From 462e85dfd54e9a3bdf6c330c602a6545bccce585 Mon Sep 17 00:00:00 2001
From: Harald Judt <h.judt@gmx.at>
Date: Wed, 20 Feb 2013 15:25:09 +0100
Subject: Fix color parsing when reading config file.

This turned out to be a stupid copy & paste mistake.

diff --git a/panel-plugin/weather.c b/panel-plugin/weather.c
index 710c33c..4a2e3c3 100644
--- a/panel-plugin/weather.c
+++ b/panel-plugin/weather.c
@@ -884,7 +884,7 @@ xfceweather_read_config(XfcePanelPlugin *plugin,
 
     value = xfce_rc_read_entry(rc, "scrollbox_color", NULL);
     if (value)
-        gdk_color_parse("#rrrrggggbbbb", &(data->scrollbox_color));
+        gdk_color_parse(value, &(data->scrollbox_color));
 
     data->scrollbox_use_color =
         xfce_rc_read_bool_entry(rc, "scrollbox_use_color", FALSE);
-- 
cgit v0.10.1

Comment 5 poma 2014-10-15 04:16:17 UTC
Fenzi, care to pick this one too?

Comment 6 Kevin Fenzi 2014-10-17 18:43:36 UTC
Sure. 

Sorry I missed it when pushing out the api thing.

Comment 7 Fedora Update System 2014-10-17 19:20:09 UTC
xfce4-weather-plugin-0.8.3-8.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/xfce4-weather-plugin-0.8.3-8.fc21

Comment 8 Fedora Update System 2014-10-19 02:33:22 UTC
Package xfce4-weather-plugin-0.8.3-8.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing xfce4-weather-plugin-0.8.3-8.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-13236/xfce4-weather-plugin-0.8.3-8.fc21
then log in and leave karma (feedback).

Comment 9 Fedora Update System 2014-11-01 16:40:47 UTC
xfce4-weather-plugin-0.8.3-8.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.